Bug 737210 - Provide native systemd service files
Provide native systemd service files
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: uw-imap (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-09-09 18:51 EDT by Jóhann B. Guðmundsson
Modified: 2015-01-06 15:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 05:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
imap.socket (116 bytes, text/plain)
2011-09-09 18:55 EDT, Jóhann B. Guðmundsson
no flags Details
imap service (112 bytes, text/plain)
2011-09-09 18:55 EDT, Jóhann B. Guðmundsson
no flags Details
imaps socket (117 bytes, text/plain)
2011-09-09 18:56 EDT, Jóhann B. Guðmundsson
no flags Details
imaps service (113 bytes, text/plain)
2011-09-09 18:57 EDT, Jóhann B. Guðmundsson
no flags Details
ipop2 socket (117 bytes, text/plain)
2011-09-09 18:57 EDT, Jóhann B. Guðmundsson
no flags Details
ipop2 service (114 bytes, text/plain)
2011-09-09 18:58 EDT, Jóhann B. Guðmundsson
no flags Details
ipop3 socket (117 bytes, text/plain)
2011-09-09 18:58 EDT, Jóhann B. Guðmundsson
no flags Details
ipop3 service (114 bytes, text/plain)
2011-09-09 18:59 EDT, Jóhann B. Guðmundsson
no flags Details
pop3s socket (117 bytes, text/plain)
2011-09-09 19:00 EDT, Jóhann B. Guðmundsson
no flags Details
pop3s service (114 bytes, text/plain)
2011-09-09 19:00 EDT, Jóhann B. Guðmundsson
no flags Details
imap.service (96 bytes, text/plain)
2015-01-06 15:46 EST, Zbigniew Jędrzejewski-Szmek
no flags Details
imaps.service (129 bytes, text/plain)
2015-01-06 15:48 EST, Zbigniew Jędrzejewski-Szmek
no flags Details
imap.service (127 bytes, text/plain)
2015-01-06 15:48 EST, Zbigniew Jędrzejewski-Szmek
no flags Details
ipop2.service (130 bytes, text/plain)
2015-01-06 15:50 EST, Zbigniew Jędrzejewski-Szmek
no flags Details
ipop3.service (130 bytes, text/plain)
2015-01-06 15:51 EST, Zbigniew Jędrzejewski-Szmek
no flags Details
pop3s.service (130 bytes, text/plain)
2015-01-06 15:52 EST, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-09-09 18:51:39 EDT
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-09-09 18:55:15 EDT
Created attachment 522433 [details]
imap.socket
Comment 2 Jóhann B. Guðmundsson 2011-09-09 18:55:54 EDT
Created attachment 522434 [details]
imap service
Comment 3 Jóhann B. Guðmundsson 2011-09-09 18:56:28 EDT
Created attachment 522435 [details]
imaps socket
Comment 4 Jóhann B. Guðmundsson 2011-09-09 18:57:01 EDT
Created attachment 522436 [details]
imaps service
Comment 5 Jóhann B. Guðmundsson 2011-09-09 18:57:37 EDT
Created attachment 522437 [details]
ipop2 socket
Comment 6 Jóhann B. Guðmundsson 2011-09-09 18:58:12 EDT
Created attachment 522438 [details]
ipop2 service
Comment 7 Jóhann B. Guðmundsson 2011-09-09 18:58:53 EDT
Created attachment 522439 [details]
ipop3 socket
Comment 8 Jóhann B. Guðmundsson 2011-09-09 18:59:30 EDT
Created attachment 522440 [details]
ipop3 service
Comment 9 Jóhann B. Guðmundsson 2011-09-09 19:00:10 EDT
Created attachment 522441 [details]
pop3s socket
Comment 10 Jóhann B. Guðmundsson 2011-09-09 19:00:47 EDT
Created attachment 522442 [details]
pop3s service
Comment 11 Jóhann B. Guðmundsson 2011-09-09 19:01:52 EDT
Passes simple telnet test and note there is still a (tight) window to have this in F16
Comment 12 Jóhann B. Guðmundsson 2011-09-12 19:45:02 EDT
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 13 Fedora End Of Life 2013-04-03 13:13:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 14 Jóhann B. Guðmundsson 2014-05-26 05:47:55 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX
Comment 15 Rex Dieter 2014-05-26 07:36:09 EDT
I'd like to keep this open.  Now that I understand systemd a little better and have time, would like to integration this sooner or later (preferabl sooner).
Comment 16 Jóhann B. Guðmundsson 2014-05-26 07:39:45 EDT
Note that submitted units are most likely outdated in relation to changes in systemd and other security features proposal in the project from the time of their submission so you could just as well keep this bug closed
Comment 17 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:46:41 EST
Created attachment 976934 [details]
imap.service
Comment 18 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:48:08 EST
Created attachment 976935 [details]
imaps.service
Comment 19 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:48:50 EST
Created attachment 976936 [details]
imap.service
Comment 20 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:50:02 EST
Created attachment 976937 [details]
ipop2.service
Comment 21 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:51:29 EST
Created attachment 976938 [details]
ipop3.service
Comment 22 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:52:34 EST
Created attachment 976940 [details]
pop3s.service
Comment 23 Zbigniew Jędrzejewski-Szmek 2015-01-06 15:55:25 EST
Those unit files look reasonable.

Note You need to log in before you can comment on or make changes to this bug.